﻿body {
    font-family: 'IBM Plex Sans', sans-serif;
}
#searchTopbarDiv {
    position: fixed;
    z-index: 9999;
    top: 430px;
    width: 1000px;
    left: 50%;
    transform: translate(-50%, -50%);
    display:none;
}
.waitingOverlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.9);
    z-index: 9999;
    display: flex;
    justify-content: center;
    padding-top: 100px
}

.waitingSpinner {
    display: inline-block;
    width: 150px;
    height: 150px;
    background-image: url('/assets/images/gif/LogoOnly.gif');
    background-size: cover;
    /* animation: spin 3s infinite linear reverse;*/
}

@keyframes spin {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

a:hover {
    cursor: pointer;
}

.condensedHeader {
    position: fixed;
    top: 0px;
    width: 100vw;
    height: 40px;
    padding: 0px;
    padding-right: 15px;
    background-color: #367588;
    z-index: 5;
}

    .condensedHeader .sectionRight {
        float: right;
        margin-right: 5px;
        vertical-align: middle
    }

    .condensedHeader button {
        background-color: transparent;
        height: 40px;
        border: none
    }

        .condensedHeader button:hover {
            background-color: #4dbcb4
        }

    .condensedHeader .sectionLeft {
        float: left;
        margin-right: 5px;
        vertical-align: central
    }

    .condensedHeader .text {
        color: white;
    }


.side-vertical-menu {
    position: fixed;
    top: 40px;
    left: 0px;
    width: 0px;
    opacity: 0;
    display: none;
    z-index: 5;
    background-color: #32394e;
    min-height: calc(100vh - 40px) !important;
}


[data-tooltip] {
    --arrow-size: 5px;
    position: relative;
    z-index: 1;
    left: -18px;
}

#searchBarForm [data-tooltip] {
    position: absolute;
    right: 5px !important;
    top: 10px;
    left: auto;
}

.toolTipImg {
    position: relative;
    z-index: 1;
    visibility: hidden;
}
/* Positioning and visibility settings of the tooltip */
[data-tooltip]:before,
[data-tooltip]:after {
    position: absolute;
    visibility: hidden;
    opacity: 1;
    left: 50%;
    bottom: calc(100% + var(--arrow-size));
    pointer-events: none;
    transition: 0.2s;
    will-change: transform;
}

/* The actual tooltip with a dynamic width */
[data-tooltip]:before {
    content: attr(data-tooltip);
    padding: 10px 18px;
    min-width: 50px;
    max-width: 300px;
    width: max-content;
    width: -moz-max-content;
    border-radius: 6px;
    font-size: 14px;
    background-color: #32394e;
    background-image: linear-gradient(30deg, rgba(59, 72, 80, 0.44), rgba(59, 68, 75, 0.44), rgba(60, 82, 88, 0.44));
    box-shadow: 0px 0px 24px rgba(0, 0, 0, 0.2);
    color: #367588;
    text-align: center;
    white-space: pre-wrap;
    transform: translate(-50%, calc(0px - var(--arrow-size))) scale(0.5);
}

/* Tooltip arrow */
[data-tooltip]:after {
    content: '';
    border-style: solid;
    border-width: var(--arrow-size) var(--arrow-size) 0px var(--arrow-size); /* CSS triangle */
    border-color: rgba(55, 64, 70, 0.9) transparent transparent transparent;
    transition-duration: 0s; /* If the mouse leaves the element, 
                              the transition effects for the 
                              tooltip arrow are "turned off" */
    transform-origin: top; /* Orientation setting for the
                              slide-down effect */
    transform: translateX(-50%) scaleY(0);
}

/* Tooltip becomes visible at hover */
[data-tooltip]:hover:before,
[data-tooltip]:hover:after {
    visibility: visible;
    opacity: 1;
}
/* Scales from 0.5 to 1 -> grow effect */
[data-tooltip]:hover:before {
    transition-delay: 0.9s;
    transform: translate(-50%, calc(0px - var(--arrow-size))) scale(1);
}
/* 
  Arrow slide down effect only on mouseenter (NOT on mouseleave)
*/
[data-tooltip]:hover:after {
    transition-delay: 0.9s; /* Starting after the grow effect */
    transition-duration: 0.2s;
    transform: translateX(-50%) scaleY(1);
}
/*
  That's it for the basic tooltip.

  If you want some adjustability
  here are some orientation settings you can use:
*/

/* LEFT */
/* Tooltip + arrow */
[data-tooltip-location="left"]:before,
[data-tooltip-location="left"]:after {
    left: auto;
    right: calc(100% + var(--arrow-size));
    bottom: 50%;
}

/* Tooltip */
[data-tooltip-location="left"]:before {
    transform: translate(calc(0px - var(--arrow-size)), 50%) scale(0.5);
}

[data-tooltip-location="left"]:hover:before {
    transform: translate(calc(0px - var(--arrow-size)), 50%) scale(1);
}

/* Arrow */
[data-tooltip-location="left"]:after {
    border-width: var(--arrow-size) 0px var(--arrow-size) var(--arrow-size);
    border-color: transparent transparent transparent rgba(55, 64, 70, 0.9);
    transform-origin: left;
    transform: translateY(50%) scaleX(0);
}

[data-tooltip-location="left"]:hover:after {
    transform: translateY(50%) scaleX(1);
}



/* RIGHT */
[data-tooltip-location="right"]:before,
[data-tooltip-location="right"]:after {
    left: calc(100% + var(--arrow-size));
    bottom: 50%;
}

[data-tooltip-location="right"]:before {
    transform: translate(var(--arrow-size), 50%) scale(0.5);
}

[data-tooltip-location="right"]:hover:before {
    transform: translate(var(--arrow-size), 50%) scale(1);
}

[data-tooltip-location="right"]:after {
    border-width: var(--arrow-size) var(--arrow-size) var(--arrow-size) 0px;
    border-color: transparent rgba(55, 64, 70, 0.9) transparent transparent;
    transform-origin: right;
    transform: translateY(50%) scaleX(0);
}

[data-tooltip-location="right"]:hover:after {
    transform: translateY(50%) scaleX(1);
}



/* BOTTOM */
[data-tooltip-location="bottom"]:before,
[data-tooltip-location="bottom"]:after {
    top: calc(100% + var(--arrow-size));
    bottom: auto;
}

[data-tooltip-location="bottom"]:before {
    transform: translate(-50%, var(--arrow-size)) scale(0.5);
}

[data-tooltip-location="bottom"]:hover:before {
    transform: translate(-50%, var(--arrow-size)) scale(1);
}

[data-tooltip-location="bottom"]:after {
    border-width: 0px var(--arrow-size) var(--arrow-size) var(--arrow-size);
    border-color: transparent transparent rgba(55, 64, 70, 0.9) transparent;
    transform-origin: bottom;
}


   
.btn-google {
    padding: 7px;
    border: 1px solid lightgray;
    background-color: white;
    border-radius: 5px;
    width: 215px
}

    .btn-google:hover {
        background-color: whitesmoke;
    }

    .btn-google img {
        height: 20px;
        float: left
    }

    .btn-google span {
        color: #3c4043;
        float: left;
        margin-left: 15px;
        flex-grow: 1;
        font-family: "Google Sans", arial,sans-serif;
        font-weight: 500;
        overflow: hidden;
        text-overflow: ellipsis;
        vertical-align: top;
        font-size: 15px;
        letter-spacing: 0.25px;
    }

.btn-google-dark {
    padding: 7px;
    border-radius: 5px;
    width: 215px;
    background-color: #32394e;
    border: 1px solid #32394e;
}

    .btn-google-dark:hover {
        background-color: #212529;
    }

    .btn-google-dark img {
        height: 20px;
        float: left
    }

    .btn-google-dark span {
        color: whitesmoke;
        float: left;
        margin-left: 15px;
        flex-grow: 1;
        font-family: "Google Sans", arial,sans-serif;
        font-weight: 500;
        overflow: hidden;
        text-overflow: ellipsis;
        vertical-align: top;
        font-size: 15px;
        letter-spacing: 0.25px;
    }

.form-floating {
    margin-bottom: 5px
}

input[type='radio']:checked:after {
    border-color: #367588 !important;
}

.hiddenradio [type=radio] {
    position: absolute;
    opacity: 0;
    width: 0;
    height: 0;
}

    /* IMAGE STYLES */
    .hiddenradio [type=radio] + img {
        cursor: pointer;
    }

    /* CHECKED STYLES */
    .hiddenradio [type=radio]:checked + img {
        padding: 2px;
        outline: 3px solid #367588 !important;
    }

    .hiddenradio [type=radio]:checked + span {
        padding: 2px;
        outline: 3px solid #367588 !important;
    }

button[data-toggle="dropdown"].btn-default,
button[data-toggle="dropdown"]:hover {
    background-color: white !important;
    color: #367588 !important;
    border: 2px solid #dce4ec;
}

.summaryaccordion {
}



    .summaryaccordion .header {
        color: #d7f90b;
        background-color: RGBA(215, 244, 11,.40);
        border-color: RGBA(215, 244, 11,.60);
        position: relative;
        height: 35px;
        text-align: left;
        font-size: 16px;
        padding-top: 2px;
        padding-left: 5px;
        width: 100%;
        display: block;
        text-decoration: none;
        border-bottom: 2px solid RGBA(215, 244, 11,.60);
    }

        .summaryaccordion .header:hover {
            cursor: pointer;
            background-color: RGBA(215, 244, 11,.60);
            border-color: RGBA(215, 244, 11,.80);
        }

    .summaryaccordion .detail {
        background-color: white;
        color: #d7f90b;
        display: none;
    }

        .summaryaccordion .detail .spec {
            background-color: white;
            color: gray;
            border-bottom: 1px solid lightgray;
            text-align: left;
            padding: 5px;
            min-height: 45px
        }

            .summaryaccordion .detail .spec .lab {
                background-color: white;
                color: black;
            }

            .summaryaccordion .detail .spec p {
                margin: 2px;
                padding: 0px
            }

            .summaryaccordion .detail .spec p {
                padding: 0px;
                line-height: 1;
                text-align: left;
            }

.btn-outline-primary {
    color: #367588;
    border-color: #367588;
}

    .btn-outline-primary:hover {
        color: #fff;
        background-color: #367588;
        border-color: #367588;
    }

    .btn-outline-primary:focus, .btn-outline-primary.focus {
        -webkit-box-shadow: 0 0 0 0.15rem rgba(85, 110, 230, 0.5);
        box-shadow: 0 0 0 0.15rem rgba(85, 110, 230, 0.5);
    }

    .btn-outline-primary.disabled, .btn-outline-primary:disabled {
        color: #367588;
        background-color: transparent;
    }

    .btn-outline-primary:not(:disabled):not(.disabled):active, .btn-outline-primary:not(:disabled):not(.disabled).active,
    .show > .btn-outline-primary.dropdown-toggle {
        color: #fff;
        background-color: #367588;
        border-color: #367588;
    }

        .btn-outline-primary:not(:disabled):not(.disabled):active:focus, .btn-outline-primary:not(:disabled):not(.disabled).active:focus,
        .show > .btn-outline-primary.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.15rem rgba(85, 110, 230, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(85, 110, 230, 0.5);
        }

.btn-rh-primary {
    color: #fff;
    background-color: RGBA(54, 117, 136,.80);
    border-color: RGBA(54, 117, 136,.90);
}

    .btn-rh-primary:hover {
        color: #fff;
        background-color: #367588;
        border-color: #367588;
    }

    .btn-rh-primary:focus, .btn-rh-primary.focus {
        color: #fff;
        background-color: #367588;
        border-color: #367588;
        -webkit-box-shadow: 0 0 0 0.15rem rgba(111, 132, 234, 0.5);
        box-shadow: 0 0 0 0.15rem rgba(111, 132, 234, 0.5);
    }

    .btn-rh-primary.disabled, .btn-rh-primary:disabled {
        color: #fff;
        background-color: RGBA(54, 117, 136,.80);
        border-color: RGBA(54, 117, 136,.90);
    }

    .btn-rh-primary:not(:disabled):not(.disabled):active, .btn-rh-primary:not(:disabled):not(.disabled).active,
    .show > .btn-rh-primary.dropdown-toggle {
        color: #fff;
        background-color: RGBA(54, 117, 136,.80);
        border-color: RGBA(54, 117, 136,.90);
    }

        .btn-rh-primary:not(:disabled):not(.disabled):active:focus, .btn-rh-primary:not(:disabled):not(.disabled).active:focus,
        .show > .btn-rh-primary.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.15rem rgba(111, 132, 234, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(111, 132, 234, 0.5);
        }





.btn-rh-secondary {
    color: #fff;
    background-color: RGBA(29,36,43,.40);
    border-color: RGBA(29,36,43,.50);
}

    .btn-rh-secondary:hover {
        color: #fff;
        background-color: RGBA(29,36,43,.60);
        border-color: RGBA(29,36,43,.70);
    }

    .btn-rh-secondary:focus, .btn-rh-secondary.focus {
        color: #fff;
        background-color: RGBA(29,36,43,.60);
        border-color: RGBA(29,36,43,.70);
        -webkit-box-shadow: 0 0 0 0.15rem rgba(137, 140, 158, 0.5);
        box-shadow: 0 0 0 0.15rem rgba(137, 140, 158, 0.5);
    }

    .btn-rh-secondary.disabled, .btn-rh-secondary:disabled {
        color: #fff;
        background-color: RGBA(29,36,43,.40);
        border-color: RGBA(29,36,43,.50);
    }

    .btn-rh-secondary:not(:disabled):not(.disabled):active, .btn-rh-secondary:not(:disabled):not(.disabled).active,
    .show > .btn-rh-secondary.dropdown-toggle {
        color: #fff;
        background-color: RGBA(29,36,43,.60);
        border-color: RGBA(29,36,43,.70);
    }

        .btn-rh-secondary:not(:disabled):not(.disabled):active:focus, .btn-rh-secondary:not(:disabled):not(.disabled).active:focus,
        .show > .btn-rh-secondary.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.15rem rgba(137, 140, 158, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(137, 140, 158, 0.5);
        }



.btn-rh-pop {
    color: #d7f90b;
    background-color: RGBA(215, 244, 11,.80);
    border-color: RGBA(215, 244, 11,.90);
}

    .btn-rh-pop:hover {
        color: #d7f90b;
        background-color: #fdd900;
        border-color: #fdd900;
    }

    .btn-rh-pop:focus, .btn-rh-pop.focus {
        color: #d7f90b;
        background-color: #fdd900;
        border-color: #fdd900;
        -webkit-box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
        box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
    }

    .btn-rh-pop.disabled, .btn-rh-pop:disabled {
        color: #d7f90b;
        background-color: RGBA(215, 244, 11,.80);
        border-color: RGBA(215, 244, 11,.90);
    }

    .btn-rh-pop:not(:disabled):not(.disabled):active, .btn-rh-pop:not(:disabled):not(.disabled).active,
    .show > .btn-rh-pop.dropdown-toggle {
        color: #d7f90b;
        background-color: RGBA(215, 244, 11,.80);
        border-color: RGBA(215, 244, 11,.90);
    }

        .btn-rh-pop:not(:disabled):not(.disabled):active:focus, .btn-rh-pop:not(:disabled):not(.disabled).active:focus,
        .show > .btn-rh-pop.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
        }



.btn-rh-info {
    color: #d7f90b;
    background-color: RGBA(215, 244, 11,.70);
    border-color: RGBA(215, 244, 11,.80);
}

    .btn-rh-info:hover {
        color: #d7f90b;
        background-color: RGBA(215, 244, 11,.60);
        border-color: RGBA(215, 244, 11,.70);
    }

    .btn-rh-info:focus, .btn-rh-info.focus {
        color: #d7f90b;
        background-color: RGBA(215, 244, 11,.70);
        border-color: RGBA(215, 244, 11,.80);
        -webkit-box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
        box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
    }

    .btn-rh-info.disabled, .btn-rh-info:disabled {
        color: #d7f90b;
        background-color: RGBA(215, 244, 11,.60);
        border-color: RGBA(215, 244, 11,.70);
    }

    .btn-rh-info:not(:disabled):not(.disabled):active, .btn-rh-info:not(:disabled):not(.disabled).active,
    .show > .btn-rh-info.dropdown-toggle {
        color: #d7f90b;
        background-color: RGBA(215, 244, 11,.40);
        border-color: RGBA(215, 244, 11,.60);
    }

        .btn-rh-info:not(:disabled):not(.disabled):active:focus, .btn-rh-info:not(:disabled):not(.disabled).active:focus,
        .show > .btn-rh-info.dropdown-toggle:focus {
            -webkit-box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
            box-shadow: 0 0 0 0.15rem rgba(106, 179, 243, 0.5);
        }



.bg-soft-rh-primary {
    background-color: RGBA(54, 117, 136) !important;
}

h1, h2, h3, h4, h5 {
    color: RGBA(54, 117, 136) !important;
}

.text-rh-primary {
    color: RGBA(54, 117, 136) !important;
}

.text-rh-secondary {
    color: RGBA(29,36,43,.40) !important;
}

.text-rh-pop {
    color: RGBA(215, 244, 11) !important;
}

a.text-rh-primary:hover, a.text-primary:focus {
    color: RGBA(29,36,43) !important;
}

.text-rh-pop {
    color: RGBA(215, 244, 11) !important;
}

a.text-rh-pop:hover, a.text-primary:focus {
    color: RGBA(29,36,43) !important;
}

.nav-link:focus {
    color: #367588 !important;
}

.nav-link:hover {
    color: #367588 !important;
}

.loginBox {
    text-align: center;
    border: 1px solid lightgray;
    padding: 10px;
    padding-left: 25px;
    padding-right: 25px;
    position: fixed;
    left: 50%;
    margin-left: -250px;
    top: 50%;
    margin-top: -250px;
    width: 450px;
    height: 550px;
    border-radius: 5px
}

    .loginBox h5 {
        color: #367588
    }

    .loginBox img {
        height: 110px;
        width: auto;
    }

    .loginBox a {
        text-align: left;
    }

@media only screen and (max-width: 600px) {
    .loginBox {
        position: relative;
        left: 0;
        top: 0;
        padding: 10px;
        width: 90%;
        margin-left: 5%;
        margin-top: 25px;
        height: 500px;
        border-radius: 5px
    }
}


.newInsuranceDiv {
    position: absolute;
    right: 0;
    top: 25px;
    padding: 5px;
    text-align: center;
    border-radius: 0;
    width: 0px;
    opacity: 0;
    transition: opacity 0.5s ease all;
}



thead tr th {
    vertical-align: text-top
}

thead.sortable tr:first-child {
    cursor: pointer;
}

tbody.clickable tr {
    cursor: pointer;
}


.pageSortIcon {
    width: 25px;
    float: right;
    text-align: center
}

@media only screen and (max-width: 820px) {
    table.responsive {
        border: 0;
    }

        table.responsive caption {
            font-size: 1.3em;
        }

        table.responsive tr {
            display: block;
            margin-bottom: .625em;
            width: 100% !important;
        }

        table.responsive thead tr.nonResponsive {
            border: none;
            clip: rect(0 0 0 0);
            height: 1px;
            margin: -1px;
            overflow: hidden;
            padding: 0;
            position: absolute;
            width: 1px;
        }

        table.responsive td {
            display: block;
            font-size: .8em;
            text-align: right;
            min-height: 30px;
            max-width: 100%;
        }

            table.responsive td::before {
                content: attr(data-label);
                float: left;
                font-weight: bold;
                text-transform: uppercase;
            }

            table.responsive td:last-child {
                border-bottom: 0;
            }

    .form-control {
        max-width: 300px
    }
}

.box-above-cards {
    width: 100%;
    height: 500px;
    border: solid;
}

.heading-text {
    text-transform: uppercase; 
}

.card-landing .card-header {
    background-color: #367588;
    color: #fff;
    height: 50px;
    text-transform: uppercase;
    font-size: 18px;
    border-top-left-radius: 4px;
    border-top-right-radius: 4px;
}

.card-landing .card-body {
    min-height: 350px;
}

.breadcrumb{
    display:none
}

#showMDCCostSwitch:hover{
    cursor:pointer;
}

.pageSortIcon:hover {
    cursor: pointer;
}

.badge-pop {
    transition: transform .2s ease, box-shadow .2s ease;
}

    .badge-pop:hover {
        transform: translateY(-2px) scale(1.02);
        box-shadow: 0 10px 25px rgba(0,0,0,.15);
    }